shishi_krberror_server(3)

NAME
shishi_krberror_server - API function

SYNOPSIS
#include <shishi.h>

int shishi_krberror_server(Shishi * handle, Shishi_asn1 krberror, char ** server, size_t * serverlen);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 krberror
    krberror as allocated by shishi_krberror().

char ** server
    pointer to newly allocated zero terminated string containing server name. May be NULL (to only populate serverlen).

size_t * serverlen
    pointer to length of server on output, excluding terminating zero. May be NULL (to only populate server).

DESCRIPTION
Return server principal name in KRB-ERROR.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.